import React, { Component, CSSProperties } from 'react';
import './CircularLoader.css';
declare const defaultProps: {
    size: string;
};
declare type DefaultProps = Readonly<typeof defaultProps>;
export declare type CirleLoaderProps = {
    loadingColor?: string;
    size?: string;
    style?: CSSProperties;
} & Partial<DefaultProps>;
declare class CircularLoader extends Component<CirleLoaderProps> {
    static propTypes: any;
    static defaultProps: {
        size: string;
    };
    render(): React.JSX.Element;
}
export default CircularLoader;
